[Sugar-devel] gcompris connect4 locking up / oom'ing

Aleksey Lim alsroot at member.fsf.org
Thu Jan 14 10:20:41 EST 2010

On Thu, Jan 14, 2010 at 04:12:11PM +0100, Martin Langhoff wrote:
> On Thu, Jan 14, 2010 at 3:40 PM, Aleksey Lim <alsroot at member.fsf.org> wrote:
> > Got similar issue, after upgrading libxml it was ok.
> Was testing same -- and an update to libxml2-2.7.3-1.fc9 and
> libxml2-python-2.7.3-1.fc9 (latest in F9 updates) fixes the startup.
> That's good.
> I still get "Couldn't find the board menu, or plugin execution error"
> and it dies soon after I start using it.
> > I'm working on packaging v9 for ASLO and bundles will carry bunch of
> > blobs(v9 uses recent pycairo) and I'll include new libxml as well.
> Well, if it works with the libxml2 versions mentioned abouve, you can
> count on them being on 8.2.2 (but not earlier).

Native packages are preferable, if system will have required versions
they will be used, in other cases bundled blobs will be used. But all
users will download fully bundled .xos since we dont have 0sugar support
in shell and people are disagree w/ having activities(that download
content on first launch) in existed ecosystem.

> > The reason to bundle v9(and some its deps) for XO-1, these bundles will
> > be useful on XO-1(in contrast w/ v8):
> When you say XO-1 are you thinking of the 8.2.x OSs, or just the
> new-gen F11 builds?

8.2 on XO-1

> > * timing tuning for some dynamic activities
> >  (overwise they can brick XO-1)
> Brick XOs? Do you literally mean brick it, or just crash / OOM?

some dynamic games can eat lots of CPU

> > I'm plaing to upload them to ASLO this week.
> Great - will be trying them out on my 8.2.2 builds if you tell me it's
> one of the target OSs...

yup, it will be targeted to 0.82+ (and for systems that don't have
recent pycairo which is required for v9, in fact we have 0.86 systems
that are not ready to use v9 as is e.g. Jaunty based distros).


More information about the Devel mailing list